package com.caimei365.commodity.controller;

import com.caimei365.commodity.model.ResponseJson;
import com.caimei365.commodity.model.vo.PaginationVo;
import com.caimei365.commodity.model.vo.ProductShoplVo;
import com.caimei365.commodity.service.ShopOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/9/28
 */
@RestController
@RequestMapping("/commodity/Shop")
public class ShopApi {

    @Autowired private ShopOrderService shopOrderService;

    /**
     * 供应商商品数据
     * @param shopId
     * @param name
     * @param pageNum
     * @param pageSize
     * @return
     */
    @GetMapping("/getShopProduct")
    public ResponseJson<PaginationVo<ProductShoplVo>> getShopProductList(Integer shopId, String name, Integer pageNum, Integer pageSize) {
        if (null == shopId) {
            return ResponseJson.error(-1, "供应商Id不能为空", null);
        }
        return shopOrderService.getShopProductList(shopId, name, pageNum, pageSize);
    }
}
